Page tree
Skip to end of metadata
Go to start of metadata

Noteworthy

  • This version provides plugin and report configuration for the OWASP Dependency Check plugin (CVE scans).

    • Known library detection mismatches are suppressed by default via Build Resources;
    • An additional project-specific suppressions file may be declared with the dependency.check.project.suppression  property.
    • see  BUILD-373 - Getting issue details... STATUS
  • Introduce PIT Mutation Testing default plugin configuration (Add-ons Parent POM-only).

    • see  BUILD-362 - Getting issue details... STATUS
  • Raise minimum required Maven version to 3.3.9 (Nov 2015, still a conservative baseline).
    • Most developers and build tools are operating with Maven 3.5 or 3.6 nowadays (with the colored output (wink)).
    • see  BUILD-363 - Getting issue details... STATUS
  • Bring a general update of most Maven plugins, especially to support build/plugin executions on latest Java runtimes.

    • see  BUILD-364 - Getting issue details... STATUS

Upgrading

Upgrading should be straightforward. Most Core and Add-ons artifacts have already been updated ahead of the Magnolia 6.2 release.

Changelog

See https://jira.magnolia-cms.com/secure/ReleaseNote.jspa?projectId=10330&version=23051



  • No labels